Page 1 of 3 123 LastLast
Results 1 to 10 of 29

Thread: Recorder stopped working after upgrading from 2.0.0-EA to 2.0.2

  1. #1
    Sencha User
    Join Date
    Mar 2017
    Posts
    5
    Vote Rating
    0
      0  

    Default Recorder stopped working after upgrading from 2.0.0-EA to 2.0.2

    Hello there,

    I've been using ST 2.0.0-EA for quite a while and recorder was working ok. But after upgrading to 2.0.2, it no longer works. It fails on Setting up recorder... with an error message:

    Error: unknown error: cannot get automation extension from unknown error: page could not be found: chrome-extension://aapnijgdinlhnhlmodcfapnahmbfebeb/_generated_background_page.html at screenshot() - C:\Program Files\Sencha\Test\2_0_2_9\resources\app.asar\node_modules\orion-core\node_modules\webdriverio\build\lib\commands\saveScreenshot.js:16:17 at execute() - WebDriver.js?_dc=1490353377758:147:27

    Is there a way to fix this?
    Thanks.

  2. #2
    Sencha User
    Join Date
    Mar 2017
    Posts
    10
    Vote Rating
    1
      0  

    Default

    I'm experiencing the same issue. After doing quite a bit of searching it looks like it's due to the recent Chrome update to version 57. Can you confirm which version of chrome you're running?

  3. #3
    Sencha User joel.watson's Avatar
    Join Date
    Nov 2014
    Posts
    3,120
    Vote Rating
    186
      0  

    Default

    This is from using the Embedded browser, correct? The embedded chromedriver that ships with Sencha Test is currently 2.24, which is unfortunately not compatible with Chrome 57. You could setup your own selenium server farm that includes newer drivers (I'd recommend selenium server 3.3.1 and chrome driver 2.28). Alternatively, you could update the embedded assets with newer versions. If you're interested in the latter approach, let me know and I can walk you through it.

    Thanks!
    Joel

  4. #4
    Sencha User
    Join Date
    Mar 2017
    Posts
    10
    Vote Rating
    1
      0  

    Default

    This was using the embedded chrome browser. I'm currently using the trial version to see if ST will meet our needs and would prefer to use the embedded browser for the time being. If you could provide some steps on how to updated the embedded assets that would be very helpful.

  5. #5
    Sencha User
    Join Date
    Mar 2017
    Posts
    5
    Vote Rating
    0
      0  

    Default

    I've got Chrome v 59.0.3047.4.
    I've tried to replace
    2.24-x64-chromedriver with 2.28 which should work with Chrome 57+. But just replacing 2.24-x64-chromedriver file
    and changing version in selenium-config.json did not do the trick. I guess we need Joel help with that.

  6. #6
    Sencha User joel.watson's Avatar
    Join Date
    Nov 2014
    Posts
    3,120
    Vote Rating
    186
      0  

    Default

    Quote Originally Posted by scrappycoco View Post
    I've got Chrome v 59.0.3047.4.
    I've tried to replace
    2.24-x64-chromedriver with 2.28 which should work with Chrome 57+. But just replacing 2.24-x64-chromedriver file
    and changing version in selenium-config.json did not do the trick. I guess we need Joel help with that.
    Which selenium-config.json file did you update? Also, you'll need to be sure that the file name is precisely the same as the old one (with the version updated, of course).

    You'll need to update the selenium-config.json file and place a copy of the 2.28 chromedriver in the following location:

    Code:
    /Users/{username}/Library/Application Support/Sencha/Studio/selenium (for Mac)
    Thanks

  7. #7
    Sencha User
    Join Date
    Mar 2017
    Posts
    10
    Vote Rating
    1
      0  

    Default

    I updated the chromedriver as Scrappycoco did then updated the selenium-config.json file with the correct version number but I'm still encountering the same failure reported in the original post. Any suggestions Joel?

  8. #8
    Sencha User joel.watson's Avatar
    Join Date
    Nov 2014
    Posts
    3,120
    Vote Rating
    186
      0  

    Default

    Quote Originally Posted by swillo View Post
    I updated the chromedriver as Scrappycoco did then updated the selenium-config.json file with the correct version number but I'm still encountering the same failure reported in the original post. Any suggestions Joel?
    Which selenium-config.json file did you update, and where did you place the updated version of chrome driver? Also, what did you name the updated version of chromedriver?

    Thanks

  9. #9
    Sencha User
    Join Date
    Mar 2017
    Posts
    10
    Vote Rating
    1
      0  

    Default

    I'm on a windows 10 64 bit machine
    - Updated the selenium-config.json file located in: C:\Program Files\Sencha\Test\2_0_2_9\selenium
    - Placed the updated chromedriver in: C:\Program Files\Sencha\Test\2_0_2_9\selenium\chromedriver
    - Named it: 2.28-x64-chromedriver

  10. #10
    Sencha User joel.watson's Avatar
    Join Date
    Nov 2014
    Posts
    3,120
    Vote Rating
    186
      1  

    Default

    Quote Originally Posted by swillo View Post
    I'm on a windows 10 64 bit machine
    - Updated the selenium-config.json file located in: C:\Program Files\Sencha\Test\2_0_2_9\selenium
    - Placed the updated chromedriver in: C:\Program Files\Sencha\Test\2_0_2_9\selenium\chromedriver
    - Named it: 2.28-x64-chromedriver
    You'll need to perform those same steps in the following location on Windows:

    Code:
    C:\Users\{username}\.sencha\selenium
    Once you have completed that, a restart of Sencha Test Studio should pick up the updated driver.

    Thanks

Page 1 of 3 123 LastLast

Similar Threads

  1. SetFlex stopped working
    By lsamples in forum Ext 6: Q&A
    Replies: 3
    Last Post: 20 Jul 2015, 9:38 AM
  2. Sencha App Stopped Working
    By StudentUSA in forum Sencha Touch 2.x: Q&A
    Replies: 1
    Last Post: 30 May 2015, 8:00 AM
  3. Replies: 1
    Last Post: 25 Sep 2013, 10:01 AM
  4. BeanModelFactory stopped working 2.0.1 -> 2.1.0
    By pierand in forum Ext GWT: Discussion
    Replies: 1
    Last Post: 15 Jan 2010, 7:03 AM
  5. I must be going mad. This DnD code stopped working.
    By Animal in forum Ext 2.x: Help & Discussion
    Replies: 5
    Last Post: 21 Mar 2008, 6:40 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •